PDBFIXER(1)

NAME
pdbfixer - Fix problems in Protein Data Bank files

SYNOPSIS
pdbfixer

DESCRIPTION

    pdbfixer filename [options]

When run with no arguments, it launches the user interface. If any arguments are specified, it runs in command line mode.

OPTIONS

-h, --help
    show this help message and exit

--pdbid=PDBID
    PDB id to retrieve from RCSB [default: None]

--url=URL
    URL to retrieve PDB from [default: None]

--output=FILENAME
    output pdb file [default: output.pdb]

--add-atoms=ATOMS
    which missing atoms to add: all, heavy, hydrogen, or none [default: all]

--keep-heterogens=OPTION
    which heterogens to keep: all, water, or none [default: all]

--replace-nonstandard
    replace nonstandard residues with standard equivalents

--add-residues
    add missing residues

--water-box=X Y Z
    add a water box. The value is the box dimensions in nm [example: --water-box=2.5 2.4 3.0]

--ph=PH
    the pH to use for adding missing hydrogens [default: 7.0]

--positive-ion=ION
    positive ion to include in the water box: Cs+, K+, Li+, Na+, or Rb+ [default: Na+]

--negative-ion=ION
    negative ion to include in the water box: Cl-, Br-, F-, or I- [default: Cl-]

--ionic-strength=STRENGTH
    molar concentration of ions to add to the water box [default: 0.0]

--verbose
    Print verbose output